# CogentDS - Next Generation Sequencing Discovery Software
CogentDS repository with capabilities of launching multiple apps. Currently launches bulkRNA, scRNA & scDNA applications

### Internal development version v2.1.11

#### Welcome to README!

##### Please follow these instructions to successfully install and launch CogentDS


##### R and RStudio Install Instructions for Windows and Mac Users 

```
Step1 : Please Install R v>=4.4.0 (tested and verified)
	i) Download R for Windows: https://cran.r-project.org/bin/windows/base/; Download R for MacOS: https://cran.r-project.org/bin/macosx/; Download R for linux: https://cran.r-project.org/bin/linux/ and please follow install instructions

	ii) Go to website: https://posit.co/download/rstudio-desktop/ and download and install latest version of Rstudio for your Machine. Please note Mac and Windows have different installer files

Step2 : If you are Windows user
	i) Download and install RTools using: https://cran.r-project.org/bin/windows/Rtools/ [please install the latest version]

Step3 : If you are Mac user
	i) Open terminal and run: xcode-select --install

	ii) Install homebrew: https://brew.sh/

	iii) Run: brew install libomp and brew install gcc

	iv) Install XQuartz: https://www.xquartz.org/
```

##### Setup and Install instructions for CogentDS

```
Step1: Please complete all the steps listed above

Step2: Open RStudio and paste the commands below or follow instructions:

	i) setwd('/Users/xxxx/Desktop/CogentDS/') (*** Please change your directory based on the location where you have downloaded the CogentDS folder)

	ii) source('setup_CogentDS.R')   (Installation is one time process)
		CogentDS installation options: Selection prompt should be 1 or 2
		1: default; recommended for most users
		2: alternative; if default gives error during installation

		Selection: 1 or 2  [1 is recommended for most users]

    iii) source('launch_CogentDS.R')

    iv) Please turn the browser into fullscreen mode for best experience
		Once you click to launch an app, please give few seconds for it to launch in the new tab in the browser. For some machines, environment prep and app launch can take upto a 60 seconds or more
```

##### Datasets for you to perform tests

```
Example datasets are included in each application
```
